Package org.eclipse.ui

# Class OpenAndLinkWithEditorHelper

java.lang.Object
org.eclipse.ui.OpenAndLinkWithEditorHelper

public abstract class OpenAndLinkWithEditorHelper extends Object
Helper for opening editors on the viewer's selection and link the selection with the editor.

Since:
  3.5

## Constructor Summary

Constructors
Constructor
Description
`OpenAndLinkWithEditorHelper(StructuredViewer viewer)`
Creates a new helper for the given viewer.

## Method Summary

Modifier and Type
Method
Description
`protected abstract void`
`activate(ISelection selection)`
Tells to activate the editor that is open on the given selection.
`void`
`dispose()`
Disposes this helper.
`protected void`
`linkToEditor(ISelection selection)`
Tells to link the given selection to the editor that is open on the given selection but does nothing if no matching editor can be found.
`protected abstract void`
`open(ISelection selection, boolean activate)`
Tells to open an editor for the given selection.
`void`
`setLinkWithEditor(boolean enabled)`
Sets whether editor that corresponds to the viewer's selection should be brought to front.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OpenAndLinkWithEditorHelper

public OpenAndLinkWithEditorHelper(StructuredViewer viewer)
Creates a new helper for the given viewer.

Parameters:
  `viewer` - the viewer

## Method Details

### setLinkWithEditor

public void setLinkWithEditor(boolean enabled)
Sets whether editor that corresponds to the viewer's selection should be brought to front.

Parameters:
  `enabled` - `true` to enable, `false` to disable

### dispose

public void dispose()
Disposes this helper.

Clients only need to call this method if their viewer has a longer life-cycle than this helper.

### activate

protected abstract void activate(ISelection selection)
Tells to activate the editor that is open on the given selection.

Note: The implementation must not open a new editor.

Parameters:
  `selection` - the viewer's selection
Since:
  3.5

### open

protected abstract void open(ISelection selection, boolean activate)
Tells to open an editor for the given selection.

Parameters:
  `selection` - the viewer's selection
  `activate` - `true` if the editor should be activated, `false` otherwise
Since:
  3.5

### linkToEditor

protected void linkToEditor(ISelection selection)
Tells to link the given selection to the editor that is open on the given selection but does nothing if no matching editor can be found.

The common implementation brings that editor to front but more advanced implementations may also select the given selection inside the editor.

Note: The implementation must not open a new editor.

The default implementation does nothing i.e. does not implement linking.

Parameters:
  `selection` - the viewer's selection
Since:
  3.5, non-abstract since 4.3